Package Details: sopcast-player 0.8.5-2

Git Clone URL: (read-only)
Package Base: sopcast-player
Description: GUI front-end for p2p TV sopcast
Upstream URL:
Licenses: GPL2
Submitter: None
Maintainer: ReNoM
Last Packager: ReNoM
Votes: 91
Popularity: 0.454344
First Submitted: 2009-03-01 07:35
Last Updated: 2015-07-22 05:03

Latest Comments

Tomek80Bytom commented on 2016-10-23 11:48

If you have problems with installation of this package, please change source from to and everything should work fine.

Best Regards,
Tomas from Poland

jscheuneman commented on 2016-09-10 20:38

Hello All,

I am the project creator of SopCast Player. Thank you to ReNoM for creating an AUR package for my project. I wanted to let you know I moved my repository off Google Code and on to GitHub. The address is I created a release for SopCast 0.8.5 in the repo. Thank you to all the SopCast Player users, I hope you have enjoyed the player.

Best Regards,

Anonymous comment on 2012-05-28 21:29

Version 0.8.5 is out.
Since simply changing version won't compile anymore, I prepared a PKGBUILD that does.

pkgdesc="GUI front-end to p2p TV sopcast"
arch=('i686' 'x86_64')
depends=('gtk2' 'hicolor-icon-theme' 'pygtk' 'python2' 'sopcast' 'vlc')

build() {
cd $srcdir/$pkgname

# Python2 fix
sed -i 's#PYTHON ?= /usr/bin/python#\02#' Makefile

# Build
make DESTDIR=$pkgdir install

snoxu commented on 2011-10-27 01:41

Can't run this:

/usr/bin/sopcast-player: line 2: 14682 Segmentation fault /usr/bin/python2 /usr/share/sopcast-player/lib/ $@

archtux commented on 2011-05-19 12:11

The error is instance=vlc.Instance() in file /usr/share/sopcast-player/lib/
Could you change instance=vlc.Instance() -> instance = vlc_1_1_x.Instance() in file /usr/share/sopcast-player/lib/ and see if it works?
You could also try to add '!libtool' to the options line in PKGBUILD.

Anonymous comment on 2011-05-09 04:01

I'm using lastest updates, vlc 1.1.9

archtux commented on 2011-05-08 20:02

@ tridc
Try with a vlc>=1.1.5

Anonymous comment on 2011-05-08 10:18

Have this problem when starting (KDE 4.6.3)
[tridc@archy ~]$ sopcast-player
Traceback (most recent call last):
File "/usr/share/sopcast-player/lib/", line 36, in <module>
from VLCWidget import VLCWidget
File "/usr/share/sopcast-player/lib/", line 39, in <module>
AttributeError: 'module' object has no attribute 'Instance'

How to fix it? Thanks.

archtux commented on 2011-05-04 04:22

@ kfgz
I had the same error on my quad-core.
I thought it was a bug in some version of vlc.
I didn't know that 'trick' for multi-core processors!

kfgz commented on 2011-05-03 17:01

You need to add


All comments